<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$success = false;

$maindb = "packmain";
$file = "finandpack.php";

$fseries = $_SESSION["series_" . $dbname];
$keycond = " and `series`='$fseries'";
$keyfld = "vouchno";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];

$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `vouchno` = '$searchTerm'";
    } elseif ($_REQUEST["sfield"] == "2") {
        $cond = "AND `mydt` = '$searchTerm'";
    } elseif ($_REQUEST["sfield"] == "3") {
        $cond = "AND `partyname` = '$searchTerm'";
    } elseif ($_REQUEST["sfield"] == "4 ") {
        $cond = "AND `totqty` = '$searchTerm'";
    } elseif ($_REQUEST["sfield"] == "5") {
        $cond = "AND `subtotal` = '$searchTerm'";
    }

} else {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `vouchno` LIKE '%$searchTerm%'";
    } elseif ($_REQUEST["sfield"] == "2") {
        $cond = "AND `mydt` LIKE '%$searchTerm%'";
    } elseif ($_REQUEST["sfield"] == "3") {
        $cond = "AND `staffname` LIKE '%$searchTerm%'";
    } elseif ($_REQUEST["sfield"] == "4") {
        $cond = "AND `totqty` LIKE '%$searchTerm%'";
    } elseif ($_REQUEST["sfield"] == "5") {
        $cond = "AND `subtotal` LIKE '%$searchTerm%'";
    }
}

$sortcond = "ORDER BY `vouchno`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY `vouchno`";
} elseif ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY `mydt`";
} elseif ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY `staffname`";
} elseif ($_REQUEST["sortBy"] == "4") {
    $sortcond = " ORDER BY `totqty`";
} elseif ($_REQUEST["sortBy"] == "5") {
    $sortcond = " ORDER BY `subtotal`";
}

$ordcond = "DESC";
if ($_REQUEST["orderAs"] == "desc") {
    $ordcond = " DESC";
} else {
    $ordcond = " ASC";
}


mysqli_query($conn, "Create temporary table `qt` SELECT a.`vouchno`,  a.`invno`, Date_Format(`vouchdt`, '%d-%m-%Y') as mydt,
                      b.`name` as staffname, a.`packamt`, a.`paidamt`,a.`lesother`, a.`roundoff`, a.`cashamt`, a.`credamt`, a.`subtotal` , a.`totqty`,
                      a.`netamt` FROM `$maindb` a,accmast b WHERE a.staff = b.accode $keycond ") or die(mysqli_error($conn));

$srchresult = "SELECT * FROM `qt` WHERE vouchno != '' $cond  $sortcond $ordcond  LIMIT $rangeFrom,$rangeTo " or die(mysqli_error($conn));


$result = mysqli_query($conn, $srchresult)or die(mysqli_error($conn));

$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {
    $rows[] = [ 'success' => true,
        'value'    =>  $ctr,
        'keyfld'   =>  $keyfld,
        'vouchno'  =>  $r['vouchno'],
        'invno'    =>  $r['invno'],
        'mydt'     =>  $r['mydt'],
        'staff'    =>  $r['staffname'],
        'packamt'  =>  $r['packamt'],
        'paidamt'  =>  $r['paidamt'],
        'lesother' =>  $r['lesother'],
        'roundoff' =>  $r['roundoff'],
        'cashamt'  =>  $r['cashamt'],
        'credamt'  =>  $r['credamt'],
        'netamt'   =>  $r['netamt'],
        'subtotal' =>  $r['subtotal'],
        'totqty'   =>  $r['totqty'],
        'action'   =>  "$file?mode=edit&vouchno=$r[vouchno]&series=$row[series]",
    ];
    $ctr++;
}
header("Content-type: application\json");
echo json_encode($rows);
